Name:           hackrf
Version:        2017.02.1
Release:        2%{?dist}
Summary:        HackRF Utilities

Group:          Development/Libraries
License:        GPLv2
URL:            https://greatscottgadgets.com/hackrf/
Source0:        https://github.com/mossmann/%{name}/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:  cmake
BuildRequires:  libusbx-devel
BuildRequires:  fftw3-devel
BuildRequires:  systemd

%description
Hardware designs and software for HackRF, a project to produce a low cost, open
source software radio platform.

%package devel
Requires:       %{name}%{?_isa} = %{version}-%{release}
Requires:       libusbx-devel
Summary:        Development files for %{name}

%package doc
Requires:       %{name} = %{version}-%{release}
Summary:        Supplemental documentation for HackRF
BuildArch:      noarch

%package static
Requires:       %{name}-devel%{?isa} = %{version}-%{release}
Summary:        Static libraries for libhackrf

%description devel
Files needed to develop software against libhackrf.

%description doc
Supplemental documentation for HackRF. For more information, visit the wiki at
https://github.com/mossmann/hackrf/wiki

%description static
Static libraries for libhackrf.

%prep
%autosetup

# Fix "plugdev" nonsense
%if 0%{?fedora} >= 20
sed -i -e 's/GROUP="@HACKRF_GROUP@"/ENV{ID_SOFTWARE_RADIO}="1"/g' host/libhackrf/53-hackrf.rules.in
sed -i -e 's/GROUP="plugdev"/ENV{ID_SOFTWARE_RADIO}="1"/g' host/libhackrf/53-hackrf.rules
%else
sed -i -e 's/GROUP="@HACKRF_GROUP@"/TAG+="uaccess"/g' host/libhackrf/53-hackrf.rules.in
sed -i -e 's/GROUP="plugdev"/TAG+="uaccess"/g' host/libhackrf/53-hackrf.rules
%endif

%build
%cmake host \
    -DINSTALL_UDEV_RULES=on \
    -DUDEV_RULES_PATH:PATH=%{_udevrulesdir} \
    -DUDEV_RULES_GROUP=plugdev \

%make_build

%install
%make_install

%post
/sbin/ldconfig
%udev_rules_update

%postun
/sbin/ldconfig
%udev_rules_update

%files
%doc COPYING TRADEMARK Readme.md
%{_bindir}/hackrf_*
%{_libdir}/libhackrf.so.*
%{_udevrulesdir}/53-hackrf.rules

%files devel
%{_includedir}/libhackrf/hackrf.h
%{_libdir}/pkgconfig/libhackrf.pc
%{_libdir}/libhackrf.so

%files static
%{_libdir}/libhackrf.a

%files doc
%doc doc/*

%changelog
* Tue Jan 16 2018 Scott K Logan <logans@cottsay.net> - 2017.02.1-2
- Fix noarch dependency in doc package

* Thu Dec 14 2017 Sergey Avseyev <sergey.avseyev@gmail.com> - 2017.02.1-1
- Update package to 2017.02.1

* Mon Aug 24 2015 Scott K Logan <logans@cottsay.net> - 2015.07.2-1
- Update to 2015.07.2

* Tue Sep 23 2014 Scott K Logan <logans@cottsay.net> - 2014.08.1-1
- Initial package
